## bankstown-lv2 1.1.0

=== Makefile ===
# SPDX-Licence-Identifier: MIT
# Copyright (C) 2023 James Calligeros <jcalligeros99@gmail.com>

LIBDIR ?= /usr/lib64

default:
	cargo build --release

install:
	install -dDm0755 $(DESTDIR)/$(LIBDIR)/lv2/bankstown.lv2/
	install -pm0755 target/release/libbankstown.so $(DESTDIR)/$(LIBDIR)/lv2/bankstown.lv2/bankstown.so
	install -pm0644 bankstown.ttl $(DESTDIR)/$(LIBDIR)/lv2/bankstown.lv2/bankstown.ttl
	install -pm0644 manifest.ttl $(DESTDIR)/$(LIBDIR)/lv2/bankstown.lv2/manifest.ttl

uninstall:
	rm -rf $(DESTDIR)/$(LIBDIR)/lv2/bankstown.lv2/

=== debian/changelog ===
bankstown-lv2 (1.1.0-3) unstable; urgency=medium

  * d/control:
    - add Homepage field
    - use canonical URL in Vcs-Browser.
    - bump Standards-Version to 4.7.2
    - replace X-Cargo-Built-Using with Static-Built-Using

 -- NoisyCoil <noisycoil@tutanota.com>  Fri, 28 Mar 2025 14:54:57 +0100

bankstown-lv2 (1.1.0-2) unstable; urgency=medium

  * d/control
    - remove <!nocheck> in B-Ds, wrong for compiled binaries
    - update the dh-cargo B-Ds and set the dh compat level to 13
    - update Standards-Version to 4.7.0
    - set Maintainer to Bananas Team, move Andreas Henriksson to Uploaders
    - set myself as Uploader
  * d/copyright: use issue tracker as Upstream-Contact
  * Add d/upstream/metadata

 -- NoisyCoil <noisycoil@tutanota.com>  Sat, 08 Feb 2025 00:27:18 +0100

bankstown-lv2 (1.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 01 Jan 2024 21:45:12 +0100

bankstown-lv2 (1.0.3-2) unstable; urgency=medium

  * debian/control: Update Vcs-* to bankstown-lv2
  * Drop debcargo generated autopkgtests

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 19 Dec 2023 11:54:46 +0100

bankstown-lv2 (1.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 18 Dec 2023 22:14:36 +0100

bankstown-lv2 (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1056784)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 26 Nov 2023 16:29:31 +0100

=== debian/control ===
Source: bankstown-lv2
Section: sound
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native,
 librust-biquad-0.4+default-dev (>= 0.4.2-~~),
 librust-lv2-0.6+default-dev,
 libstd-rust-dev,
 rustc:native,
Maintainer: Debian Bananas Team <team+bananas@tracker.debian.org>
Uploaders:
 Andreas Henriksson <andreas@fatal.se>,
 NoisyCoil <noisycoil@tutanota.com>,
Standards-Version: 4.7.2
Homepage: https://github.com/chadmed/bankstown
Vcs-Git: https://salsa.debian.org/bananas-team/bankstown-lv2.git
Vcs-Browser: https://salsa.debian.org/bananas-team/bankstown-lv2
X-Cargo-Crate: bankstown-lv2
Rules-Requires-Root: no

Package: bankstown-lv2
Architecture: any
Depends:
 ${cargo:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${cargo:Recommends},
Suggests:
 ${cargo:Suggests},
Provides:
 ${cargo:Provides},
# Third party packaging uses bankstown package name:
# https://git.g3la.de/repos/m1-debian/src/commit/f2e4e58f68ac73d19b59d6ddbd765058bce362f7/audio.sh#L58
Conflicts:
 bankstown (<= 1.0.0),
Replaces:
 bankstown (<= 1.0.0),
Built-Using:
 ${cargo:Built-Using},
Static-Built-Using: ${cargo:Static-Built-Using}
Description: barebones, fast LV2 bass enhancement plugin
 Speakers found in small devices have trouble reproducing bass and sub-bass
 faithfully. This is because they are power and space constrained, and cannot
 move the amount of air required to reproduce such low frequencies at audible
 volumes. Designers of modern devices get around this problem by taking
 advantage of the fact that humans are very easy to fool. We generate harmonics
 of bass and sub-bass frequencies to trick the human brain into thinking there
 is more bass than there really is.
 .
 This package contains a lv2 plugin implementing halfway-decent three-stage
 psychoacoustic bass approximation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/rustc/architecture.mk

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
        NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
        NUMJOBS = 1
endif

CARGO_BUILD_FLAGS = \
	--release \
	--target $(DEB_HOST_RUST_TYPE) \
	--offline \
	-v \
	-j $(NUMJOBS)

%:
	dh $@ --buildsystem cargo

override_dh_auto_test:
	dh_auto_test -- test --all


execute_after_dh_auto_build:
	CARGO_HOME=debian/cargo_home \
		/usr/share/cargo/bin/cargo build $(CARGO_BUILD_FLAGS)

override_dh_auto_install:
	# generate substvars since we override dh_auto_install from dh-cargo.
	/usr/share/cargo/bin/dh-cargo-built-using bankstown-lv2
	# install using upstream Makefile. Work around --target usage.
	ln target/$(DEB_HOST_RUST_TYPE)/release/libbankstown.so target/release/libbankstown.so
	$(MAKE) install DESTDIR=debian/bankstown-lv2 LIBDIR=/usr/lib
	rm -f target/release/libbankstown.so

=== debian/watch ===
version=4

opts="searchmode=plain,\
 filenamemangle=s%@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
 https://api.github.com/repos/chadmed/bankstown/tags?per_page=50 \
 https://api.github.com/repos/[^/]+/[^/]+/tarball/[^/]+/[^/]+/@ANY_VERSION@
